#ifndef BURIEDPOINTDATA_H
#define BURIEDPOINTDATA_H

#include <QObject>
#include <QString>
#include <QTimer>
#include <QDebug>

#ifdef EXISTS_KYSDK_DIAGNOSTICS
//埋点
#include <kysdk/kysdk-base/libkydiagnostics.h>
#endif

class BuriedPointData : public QObject
{
    Q_OBJECT
public:
    BuriedPointData(QObject *parent = nullptr);

    //void sendWriteInDataSignal(QString,QString);

    static bool buriedSettings(QString, QString, QString, QString);


Q_SIGNALS:
    void writeInData(QString, QString, QString, QString);
public slots:
    void writeInDataSlot(QString , QString , QString , QString);
private:
    bool run_timer_flag = true;
    QTimer * m_data_reprot_timer = nullptr;
};

#endif // BURIEDPOINTDATA_H
